import javax.swing.*;


/**********************************
 *  Driver for the RLE class
 *  C. D'Arcy
 **********************************/
public class RLETest {
	
  public static void main(String[] args) {
    String str = "";

    while (!str.equals("X")) {
      str = JOptionPane.showInputDialog(
          "Enter a String to be encoded (X to Exit): ", "X");

      if (!str.toUpperCase().equals("X")) {
       
        // an instance of the RLE class creates and maintains
        // a LinkedList instance that encodes the supplied String
        RLE rle = new RLE(str);

        System.out.println(rle);

        // RLE's decode method 'unzips' the LinkedList<Byte>
        // and returns the result. (Do not simply return the original)
        String decode = rle.decode();

        System.out.println("Decompressed:\t" + decode);
        System.out.println();
      }

    }
  }
}

